MolDraw2D.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <Geometry/point.h>`
`#include <Geometry/Transform2D.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/ChemReactions/Reaction.h>`

Go to the source code of this file.

## Classes

struct | RDKit::DrawColour
struct | RDKit::MolDrawShape
| extra shape to add to canvas More...
struct | RDKit::StringRect
struct | RDKit::AnnotationType
struct | RDKit::MolDrawOptions
class | RDKit::MolDraw2D
| MolDraw2D is the base class for doing 2D renderings of molecules. More...

## Namespaces

| RDKit
| Std stuff.

## Typedefs

typedef std::map< int, DrawColour > | RDKit::ColourPalette
typedef std::vector< double > | RDKit::DashPattern

## Enumerations

enum class | RDKit::OrientType : unsigned char { RDKit::C = 0 , RDKit::N , RDKit::E , RDKit::S , RDKit::W }
enum class | RDKit::TextAlignType : unsigned char { RDKit::MIDDLE = 0 , RDKit::START , RDKit::END }
enum class | RDKit::MolDrawShapeType { RDKit::Arrow , RDKit::Polyline , RDKit::Ellipse }
| for annotating the type of the extra shapes More...

## Functions

void | RDKit::assignDefaultPalette (ColourPalette &palette)
void | RDKit::assignBWPalette (ColourPalette &palette)
RDKIT_MOLDRAW2D_EXPORT bool | RDKit::doLinesIntersect (const Point2D &l1s, const Point2D &l1f, const Point2D &l2s, const Point2D &l2f, Point2D *ip=nullptr)
RDKIT_MOLDRAW2D_EXPORT bool | RDKit::doesLineIntersectLabel (const Point2D &ls, const Point2D &lf, const StringRect &lab_rect, double padding=0.0)